Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
GETBare Metal Management OperationsSince 2.6.0SynchronousAuth Required

QueryBaremetalInstance

QueryBaremetalInstance

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the bare metal instance.

    • nameStringRequired

      The name of the bare metal instance.

    • descriptionStringRequired

      The detailed description of the bare metal instance.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • pxeServerUuidStringRequired

      No description provided.

    • chassisUuidStringRequired

      The UUID of the bare metal chassis.

    • imageUuidStringRequired

      The image UUID.

    • platformStringRequired

      The system platform.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The time when the bare metal instance was created.

    • lastOpDateTimestampRequired

      The time when the bare metal instance was last modified.

    • bmNicsListRequired

      See bmNics

      • uuidStringRequired

        The UUID of the NIC of the bare metal instance.

      • baremetalInstanceUuidStringRequired

        The UUID of the bare metal instance.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • baremetalBondingUuidStringRequired

        The network bonding UUID.

      • macStringRequired

        The MAC address of the bare metal instance.

      • ipStringRequired

        The IP address of the bare metal instance.

      • netmaskStringRequired

        The netmask of the bare metal instance.

      • gatewayStringRequired

        The gateway of the bare metal instance.

      • metadataStringRequired

        附加元数据。

      • pxeBooleanRequired

        Indicates whether the bare metal instance was PXE boot by using its NIC.

      • createDateTimestampRequired

        The time when the bare metal instance was created.

      • lastOpDateTimestampRequired

        The time when the bare metal instance was last modified.

Endpoint

GET/zstack/v1/baremetal/instances

/zstack/v1/baremetal/instances

Operation ID

QueryBaremetalInstance

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal/instances' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "9d3a2dd0d48c3220a40a66a33874f25a", "name": "BM-1", "description": "This is a baremetal instance.", "zoneUuid": "4d1bf4f2ab113292808be87ad9ff553b", "clusterUuid": "e24ee969ccc83aa287713ec2dca4e8e0", "chassisUuid": "da16af4bb6c43b8fba2b5ba918e0cdbb", "imageUuid": "70ff9f3ae5863fcfab60999afdf55219", "platform": "Linux", "state": "Running", "status": "Provisioned", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "bmNics": [ { "uuid": "8fb718abb0bd3ce99215d446cd6dba1d", "baremetalInstanceUuid": "9d3a2dd0d48c3220a40a66a33874f25a", "l3NetworkUuid": "8b40c2c7a19e3c96b4bca63b56909898", "mac": "6c:b3:11:1b:0b:1e", "ip": "192.168.0.10", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "pxe": false } ] } ] }

Change History

This API has no change history records yet.

View all change history